#if !defined _CLibrary_include
#define _CLibrary_include

#include <string.h>

#if defined _WIN32
#include <Windows.h>
#elif defined _LINUX
#include <dlfcn.h>

#endif

class CLibrary
{
private:
	void* m_hLibrary;
public:
	CLibrary(const char * name);
	void * getAddress(const char * name);
	void* getLibrary() { return m_hLibrary; }
	~CLibrary();
};

#endif
